Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.util
Class SingleCloseableInputIterator

    java.lang.Object
      cascading.util.SingleValueIterator<Value>
          cascading.util.SingleValueCloseableIterator<Closeable>
              cascading.util.SingleCloseableInputIterator

All Implemented Interfaces:
  CloseableIterator<Closeable>, Closeable, Iterator<Closeable>

    public class SingleCloseableInputIterator

extends SingleValueCloseableIterator<Closeable>

Field Summary

Fields inherited from class cascading.util.SingleValueIterator
`EMPTY, value`

Constructor Summary
`SingleCloseableInputIterator(Closeable input)`

Method Summary
`void` | `close()`

Methods inherited from class cascading.util.SingleValueCloseableIterator
`getCloseableInput`

Methods inherited from class cascading.util.SingleValueIterator
`hasNext, next, remove, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### SingleCloseableInputIterator

    public SingleCloseableInputIterator(Closeable input)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `SingleValueCloseableIterator<Closeable>`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.